Skip to content

Modify subaccount

PUT
/v1/account/subaccount

Updates an existing subaccount. Can only be called by a primary account API key with Trade permissions.

Query Parameter isProprietarySubAccount

A boolean value indicating whether to update a proprietary subaccount (label only) or a customer subaccount (including KYC data).

Existing proprietary sub-accounts (label only) can be converted to customer sub-accounts (including KYC data) by making an update request with isProprietarySubAccount set to false and providing the necessary KYC information.

Note that label, identityNumber and cellNumber should be unique per subaccount.

Note: Registering subaccounts with KYC information is not available to all clients and will not work unless VALR has specifically enabled this for your account. Please contact help@valr.com if you have already been enabled to utilise these endpoints but are having technical difficulty using them. Please contact business@valr.com if you believe these endpoints are required for your use case.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Query Parameters

isProprietarySubAccount

A boolean value indicating whether to update a proprietary subaccount (label only) or a customer subaccount (including KYC data).

Type
boolean

Request Body

application/json
JSON
{
"id": "1068214337466658816",
"label": "Arbitrage Acc 002"
}

Responses

Subaccount update accepted

Playground

Authorization
Variables
Key
Value
Body

Samples